import java.io.BufferedReader;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.PrintWriter;
public class FilesOficial {
    public static void main(String[] args) throws Exception {
        BufferedReader in = new BufferedReader(new FileReader("Files_entrada.txt"));
        PrintWriter out = new PrintWriter(new FileWriter("Files_salida.txt"));
        String line;
        for (int i = 1; (line = in.readLine()) != null; i++) {
            System.out.println(i + ": " + line);
        }
        in.close();
        for (int i = 1; i <= 10; i++) {
            out.println(i + ": " + Math.random());
        }
        out.close();
    }
}
/*
 * El directorio por defecto en Netbeans es el directorio del project:
 * W09/Files_entrada.txt
 * En la version RAW es el directorio donde estan los *.class:
 * RAW/W09/W09H01_EntradaSortida/Files_entrada.txt
 */
